%define upstream_name    Convert-Base32
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Encoding and decoding of base32 strings
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module provides functions to convert string from / to Base32 encoding,
specified in RACE internet-draft. The Base32 encoding is designed to encode
non-ASCII characters in DNS-compatible host name parts.

See http://tools.ietf.org/html/draft-ietf-idn-race-03 for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.60.0-2.mga10
+ Revision: 2229889
- Mageia 10 Mass Rebuild

* Sun Nov 10 2024 wally <wally> 0.60.0-1.mga10
+ Revision: 2113559
- imported package perl-Convert-Base32


* Sun Nov 10 2024 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
